Bug 509178 - Review Request: perl-namespace-autoclean - Keep imports out of your namespace
Review Request: perl-namespace-autoclean - Keep imports out of your namespace
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/namespace...
:
Depends On:
Blocks: 504538
  Show dependency treegraph
 
Reported: 2009-07-01 12:33 EDT by Chris Weyl
Modified: 2010-08-25 13:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 02:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-07-01 12:33:32 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-namespace-autoclean.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-namespace-autoclean-0.08-1.fc11.src.rpm

Description:
When you import a function into a Perl package, it will naturally also
be available as a method. The 'namespace::autoclean' pragma will remove
all imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances. This
module is very similar to namespace::clean, except it will clean all
imported functions, no matter if you imported them before or after you
'use'd the pagma. It will also not touch anything that looks like a
method, according to 'Class::MOP::Class::get_method_list'.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1447435

Additional Comment:

This is a new requirement of the latest GA Catalyst::Runtime.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-07-01 23:28:52 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1447435
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e905b81a1a91c1ba98ce9c7a12d32b639536e185  namespace-autoclean-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=18,  1 wallclock secs ( 0.02 usr  0.03 sys +  0.24 cusr  0.08 csys =  0.37 CPU)
+ Package perl-namespace-autoclean-0.08-1.fc12.noarch =>
Provides: perl(namespace::autoclean) = 0.08
Requires: perl(B::Hooks::EndOfScope) perl(Class::MOP) perl(List::Util) perl(namespace::clean) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-07-01 23:45:10 EDT
New Package CVS Request
=======================
Package Name: perl-namespace-autoclean
Short Description: Keep imports out of your namespace
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-07-02 01:07:51 EDT
cvs done.
Comment 4 Chris Weyl 2009-07-02 02:29:10 EDT
Thanks for the review! :-)
Comment 5 Iain Arnell 2010-08-25 01:49:21 EDT
Package Change Request
======================
Package Name: perl-namespace-autoclean
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-08-25 13:29:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.